Skip to content

Update a Reservation
deprecated

Request

Security
bearerAuth
Path
Identifierstring, <= 128 charactersrequired

The Reservation Identifier of the Reservation you wish to update

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
ReservationDetailobject(ReservationDetail)
curl -i -X PUT \
  https://developer.travelport.com/_mock/apis/flights/air/book/reservation/reservations/49f58f5f-c443-43b4-9f5d-be405fd00a01 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "ReservationDetail": {
      "@type": "Reservation",
      "id": "REF12873",
      "Identifier": {
        "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
        "authority": "TVPT"
      },
      "Offer": [
        {
          "@type": "Offer",
          "id": "offer_1",
          "offerRef": "offer_1",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "ContentSource": "GDS",
          "parentOfferRef": "offer_1",
          "offerModifyRef": "string",
          "Product": [
            {
              "@type": "ProductAir",
              "id": "product_1",
              "productRef": "product_1",
              "Identifier": {
                "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
                "authority": "TVPT"
              }
            }
          ],
          "Price": {
            "@type": "PriceDetail",
            "id": "2",
            "CurrencyCode": {
              "value": "USD",
              "codeAuthority": "ISO 4217",
              "decimalPlace": 4,
              "decimalAuthority": "ISO 4217"
            },
            "Base": 20.2,
            "TotalTaxes": 34.4,
            "TotalFees": 201,
            "TotalPrice": 34,
            "VendorCurrencyTotal": {
              "@type": "VendorCurrencyTotal",
              "currencySource": "Supplier",
              "CurrencyCode": {
                "value": "USD",
                "codeAuthority": "ISO 4217",
                "decimalPlace": 4,
                "decimalAuthority": "ISO 4217"
              },
              "Base": 120.2,
              "Taxes": {
                "@type": "TaxesDetail",
                "TotalTaxes": 330.1,
                "TaxInfo": [
                  null
                ]
              },
              "Fees": {
                "@type": "FeesDetail",
                "TotalFees": 111.11,
                "TotalAdditionalFeesPayableLocally": 2.1
              },
              "Total": 30.13,
              "approximateInd": true
            }
          },
          "TermsAndConditionsFull": [
            {
              "@type": "TermsAndConditionsFullAir",
              "id": "TC_1",
              "termsAndConditionsRef": "TC_1",
              "Identifier": {
                "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
                "authority": "TVPT"
              }
            }
          ],
          "passiveOfferInd": true,
          "scheduleChangeInd": true
        }
      ],
      "Traveler": [
        {
          "@type": "Traveler",
          "id": "string",
          "TravelerRef": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "birthDate": "2021-06-05",
          "gender": "Female",
          "PersonName": {
            "@type": "PersonNameDetail",
            "Prefix": "Mr",
            "Given": "John",
            "Middle": "Erick",
            "Surname": "Smith"
          },
          "Address": [
            {
              "@type": "AddressDetail",
              "id": "Address_1",
              "BldgRoom": {
                "value": "Moore House",
                "buldingInd": true
              },
              "Number": {
                "value": "23B",
                "streetNmbrSuffix": "B",
                "streetDirection": "NW",
                "ruralRouteNmbr": "76",
                "po_Box": "1001"
              },
              "Street": "ABC Street",
              "AddressLine": [
                "2035 S Havana street"
              ],
              "City": "Dublin",
              "County": "Berkshire",
              "StateProv": {
                "value": "CA",
                "name": "California"
              },
              "Country": {
                "value": "US",
                "id": "23",
                "name": "United States",
                "codeContext": "IATA"
              },
              "PostalCode": "Sl6 1AB",
              "Addressee": "ACME INC",
              "role": "Business"
            }
          ],
          "Telephone": [
            {
              "@type": "Telephone",
              "countryAccessCode": "1",
              "areaCityCode": "972",
              "phoneNumber": "972-000-787",
              "extension": "234",
              "id": "3",
              "cityCode": "DEN",
              "role": "Mobile"
            }
          ],
          "Email": [
            {
              "value": "exampledomain@example.com",
              "id": "email_1",
              "emailType": "FROM",
              "comment": "work email",
              "preferredFormat": "text/html",
              "shareMarketing": "Yes",
              "shareSync": "Yes",
              "optOutInd": "Yes",
              "optInStatus": "OptedIn",
              "optInDate": "2026-03-03T11:11:00Z",
              "optOutDate": "2026-03-03T11:11:00Z",
              "validInd": true,
              "provisionedInd": true
            }
          ],
          "passengerTypeCode": "CHD",
          "nationality": "AL",
          "age": 13,
          "CustomerLoyalty": [
            {
              "value": "132456",
              "id": "Loyalty_1",
              "priority": 2,
              "programId": "HY",
              "programName": "Frontier-EarlyReturns",
              "supplierType": "Hotel",
              "supplier": "UA",
              "tier": "Silver",
              "shareWithSupplier": [
                "[\"AF\",\"KL\"]"
              ],
              "cardHolderName": "John Smith",
              "validatedInd": true,
              "prefix": "Dr",
              "given": "John",
              "middle": "Wilkinson",
              "surname": "Smith"
            }
          ],
          "AlternateContact": [
            {
              "@type": "AlternateContact",
              "id": "string",
              "contactType": "Relative",
              "relation": "Mother",
              "PersonName": {
                "@type": "PersonNameDetail",
                "Prefix": "Mr",
                "Given": "John",
                "Middle": "Erick",
                "Surname": "Smith"
              },
              "Address": [
                {
                  "AddressLine": []
                }
              ],
              "Telephone": [
                {}
              ],
              "Email": [
                {}
              ],
              "emergencyInd": true,
              "defaultInd": true
            }
          ],
          "TravelDocument": [
            {
              "@type": "TravelDocumentDetail",
              "docNumber": "B37201",
              "docType": "Passport",
              "issueDate": "2002-10-13",
              "expireDate": "2002-11-13",
              "stateProvCode": "44",
              "placeOfIssue": "Birmingham",
              "issueCountry": "CA",
              "birthDate": "1995-04-22",
              "birthCountry": "AR",
              "birthPlace": "Ontario",
              "residence": "1st section 8th st",
              "id": "34",
              "Gender": "Female",
              "Nationality": "BR",
              "PersonName": {
                "@type": "PersonNameDetail",
                "Prefix": "Mr",
                "Given": "John",
                "Middle": "Erick",
                "Surname": "Smith"
              }
            }
          ],
          "Comments": {
            "@type": "Comments",
            "Comment": [
              {
                "value": "Additional comments",
                "id": "comment_1",
                "name": "Comment name",
                "language": "EN"
              }
            ]
          },
          "RailDiscountCard": [
            {
              "value": "Rail1234546",
              "supplierCode": "Enco",
              "referenceNumber": "134256"
            }
          ],
          "accompaniedByInfantInd": true
        }
      ],
      "TravelerProduct": [
        {
          "@type": "TravelerProduct",
          "id": "string",
          "TravelerRef": "string",
          "OfferRef": "string",
          "ProductRef": "string",
          "ConfirmationStatusEnum": "Confirmed",
          "UnpricedFlightSegmentRefs": [
            "unpricedFlightSegment_001",
            "unpricedFlightSegment_002"
          ]
        }
      ],
      "FormOfPayment": [
        {
          "@type": "FormOfPaymentPaymentCard",
          "id": "string",
          "FormOfPaymentRef": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "reservationFOPInd": true,
          "activeInd": true
        }
      ],
      "Payment": [
        {
          "@type": "Payment",
          "id": "string",
          "PaymentRef": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "Amount": {
            "value": 124.56,
            "code": "USD",
            "minorUnit": 2,
            "currencySource": "Supplier",
            "approximateInd": true
          },
          "FormOfPaymentIdentifier": {
            "@type": "FormOfPaymentPaymentCash",
            "id": "string",
            "FormOfPaymentRef": "string",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            },
            "activeInd": true
          },
          "OfferIdentifier": [
            {
              "id": "offer_1",
              "offerRef": "offer_1",
              "Identifier": {
                "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
                "authority": "TVPT"
              }
            }
          ],
          "Fees": {
            "@type": "FeesDetail",
            "TotalFees": 111.11,
            "TotalAdditionalFeesPayableLocally": 2.1
          },
          "Taxes": {
            "@type": "TaxesDetail",
            "TotalTaxes": 330.1,
            "TaxInfo": [
              {
                "@type": "TaxInfo",
                "TaxCode": "XF",
                "CurrencyCode": {},
                "Amount": 0.1,
                "TaxBreakdown": [
                  null
                ]
              }
            ]
          },
          "TravelerIdentifierRef": [
            {
              "name": "string",
              "passengerTypeCode": "ADT",
              "ages": [
                15
              ],
              "age": 11,
              "passengerCriteriaRef": "passengerCriteria_1",
              "value": "string",
              "id": "string",
              "description": "string",
              "uris": [
                "google.com"
              ]
            }
          ],
          "BaseAmount": {
            "value": 124.56,
            "code": "USD",
            "minorUnit": 2,
            "currencySource": "Supplier",
            "approximateInd": true
          },
          "depositInd": true,
          "ExtendedPayment": {
            "NumberOfInstallments": 6,
            "FirstInstallment": 100,
            "RemainingAmount": 50,
            "OTATOCode": "string"
          },
          "AgencyServiceFeeIdentifier": [
            {
              "id": "string"
            }
          ],
          "guaranteeInd": true
        }
      ],
      "Receipt": [
        {
          "@type": "ReceiptConfirmation",
          "id": "3493289238",
          "ReceiptRef": "6773 2389 2239 2832",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "dateTime": "2022-08-07T12:12:00Z",
          "OfferRef": [
            "string"
          ],
          "ProductRef": "string"
        }
      ],
      "OfferLink": [
        {
          "@type": "OfferLink",
          "OfferRef": "string",
          "ParentOffer": {
            "@type": "ParentOffer",
            "OfferRef": "string",
            "ProductRef": "string"
          }
        }
      ],
      "ReservationComment": [
        {
          "@type": "ReservationComment",
          "id": "string",
          "commentSource": "Agency",
          "shareWith": "Supplier",
          "shareWithSupplier": [
            "string"
          ],
          "Comment": [
            {
              "value": "Additional comments",
              "id": "comment_1",
              "name": "Comment name",
              "language": "EN"
            }
          ],
          "AppliesTo": [
            {
              "@type": "AppliesToOffer"
            }
          ]
        }
      ],
      "PrimaryContact": [
        {
          "@type": "PrimaryContact",
          "id": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "shareWith": "Supplier",
          "shareWithSupplier": [
            "string"
          ],
          "Email": {
            "value": "exampledomain@example.com",
            "id": "email_1",
            "emailType": "FROM",
            "comment": "work email",
            "preferredFormat": "text/html",
            "shareMarketing": "Yes",
            "shareSync": "Yes",
            "optOutInd": "Yes",
            "optInStatus": "OptedIn",
            "optInDate": "2026-03-03T11:11:00Z",
            "optOutDate": "2026-03-03T11:11:00Z",
            "validInd": true,
            "provisionedInd": true
          },
          "Telephone": {
            "@type": "Telephone",
            "countryAccessCode": "1",
            "areaCityCode": "972",
            "phoneNumber": "972-000-787",
            "extension": "234",
            "id": "3",
            "cityCode": "DEN",
            "role": "Mobile"
          },
          "TravelerIdentifier": {
            "@type": "TravelerIdentifier",
            "id": "string",
            "TravelerRef": "string",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            }
          },
          "contactInformationRefusedInd": true
        }
      ],
      "TravelAgency": {
        "@type": "TravelAgencyDetail",
        "id": "2",
        "TravelOrganizationRef": "TravelAgency_1",
        "Identifier": {
          "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
          "authority": "TVPT"
        },
        "organizationType": "TravelAgency",
        "OrganizationName": {
          "value": "string",
          "id": "2",
          "division": "Travel Division",
          "department": "Adventure department",
          "shortName": "Adventure Inc",
          "code": "AI",
          "codeContext": "ISO",
          "systemOfRecord": [
            "MB"
          ]
        },
        "CorporateCode": "Air Agency",
        "ProfileName": [
          "string"
        ]
      },
      "GroupName": "string",
      "SpecialService": [
        "SpecialServiceMeal"
      ],
      "Preference": {
        "@type": "Preference",
        "id": "string",
        "AppliesTo": {
          "@type": "AppliesToOffer"
        },
        "TravelerIdentifier": {
          "@type": "TravelerIdentifier",
          "id": "string",
          "TravelerRef": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          }
        }
      },
      "OrganizationLoyaltyProgram": [
        {
          "@type": "OrganizationLoyaltyProgramID",
          "id": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "Supplier": "Air Canada",
          "LoyaltyIdentifier": "LP029381"
        }
      ],
      "ShoppingCart": {
        "@type": "ShoppingCart",
        "Product": [
          {
            "@type": "ProductAir",
            "id": "product_1",
            "productRef": "product_1",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            },
            "Quantity": 2,
            "totalDuration": "PT2H40M",
            "FlightSegment": [
              {
                "@type": "FlightSegment",
                "id": "flightSegment_01",
                "sequence": 1,
                "connectionDuration": "PT1H3M",
                "amenityRefs": [
                  null
                ],
                "universalProductAttributeRefs": [
                  null
                ],
                "Flight": {},
                "IntermediateStopAmenities": [
                  null
                ],
                "OperationalStatus": {},
                "boundFlightsInd": true,
                "CO2Actual": {}
              }
            ],
            "PassengerFlight": [
              {
                "@type": "PassengerFlight",
                "passengerQuantity": 26,
                "passengerTypeCode": "ADT",
                "requestedPassengerTypeCodes": [
                  null
                ],
                "FlightProduct": [
                  null
                ]
              }
            ]
          }
        ]
      },
      "ReservationDisplaySequence": {
        "@type": "ReservationDisplaySequence",
        "DisplaySequence": [
          {
            "@type": "DisplaySequence",
            "displaySequence": 1,
            "OfferRef": "string",
            "ProductRef": "string",
            "Sequence": 1
          }
        ],
        "autoDeleteDateSequence": 0,
        "AuxiliaryDisplaySequence": [
          {
            "@type": "AuxiliaryDisplaySequence",
            "displaySequence": 3,
            "CustomAuxiliarySegmentRef": "aux_1"
          }
        ],
        "UnpricedSegmentDisplaySequence": [
          {
            "@type": "UnpricedSegmentDisplaySequence",
            "displaySequence": 2,
            "UnpricedFlightSegmentRef": "s1"
          }
        ]
      },
      "AgencyServiceFee": [
        {
          "@type": "AgencyServiceFee",
          "id": "AgencyServiceFee_1",
          "ExpiryDate": "2022-08-07T12:12:00Z",
          "Description": "Flight reservation service fee",
          "Amount": {
            "value": 124.56,
            "code": "USD",
            "minorUnit": 2,
            "currencySource": "Supplier",
            "approximateInd": true
          },
          "Tax": [
            {
              "value": 12.2,
              "currencyCode": "USD",
              "taxCode": "XF2",
              "reportingAuthority": "JFK1",
              "purpose": "Fuel surcharge",
              "description": "Lodging tax",
              "includedInBase": "Yes",
              "codeAuthority": "ISO",
              "decimalPlace": 2,
              "decimalAuthority": "ISO",
              "exemptInd": true,
              "nonRefundableInd": true,
              "excludedFromTotalPriceInd": true
            }
          ],
          "RelatedDocumentNumber": {
            "value": "1259900123456",
            "documentIssuer": "BA",
            "documentType": "Ticket",
            "travelerIdentifierRef": "string",
            "name": "string",
            "passengerTypeCode": "ADT",
            "id": "string",
            "description": "string",
            "uris": [
              "string"
            ]
          },
          "TravelerRef": "string",
          "OfferRef": "string"
        }
      ],
      "autoDeleteDate": "2019-08-24",
      "notificationDate": "2019-08-24",
      "CustomAuxiliarySegment": [
        {
          "@type": "CustomAuxiliarySegment",
          "id": "aux_001",
          "customAuxiliarySegmentRef": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          }
        }
      ],
      "Group": {
        "@type": "Group",
        "id": "group_001",
        "GroupRef": "groupRef_001",
        "Identifier": {
          "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
          "authority": "TVPT"
        },
        "unallocatedPlaces": 5,
        "totalGroupPlaces": 15,
        "GroupName": "EUROPAGLOBALCONFERENCE"
      },
      "UnpricedSegments": {
        "@type": "UnpricedSegments",
        "UnpricedFlightSegment": [
          {
            "@type": "UnpricedFlightsegment",
            "id": "unpricedSegment_1",
            "sequence": 1,
            "connectionDuration": "PT2H30M",
            "passengerQuantity": 2,
            "cabin": "Economy",
            "classOfService": "Y",
            "amenityRefs": [
              "amenity_1"
            ],
            "universalProductAttributeRefs": "upa_1",
            "passiveSegmentStatus": "AK",
            "IntermediateStopAmenities": [
              {
                "@type": "IntermediateStopAmenities",
                "departureLocation": "NYC",
                "arrivalLocation": "DEN",
                "amenityRefs": [
                  null
                ],
                "universalProductAttributeRefs": [
                  null
                ]
              }
            ],
            "OperationalStatus": {
              "value": "FlightBoarding"
            },
            "Flight": {
              "@type": "FlightDetail",
              "id": "126",
              "FlightRef": "s1",
              "Identifier": {
                "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
                "authority": "TVPT"
              }
            },
            "Co2Actual": {
              "value": 2.22,
              "measurementType": "Width",
              "unit": "Kilograms"
            },
            "boundFlightInd": true
          }
        ]
      },
      "Accounting": {
        "@type": "Accounting",
        "id": "string",
        "AccountingRef": "string",
        "Identifier": {
          "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
          "authority": "TVPT"
        },
        "dataType": "DateTime",
        "template": "Internal Finance template",
        "NameValuePair": [
          {
            "value": "Sunday",
            "id": "6",
            "name": "Day1"
          }
        ]
      },
      "DocumentOverrides": [
        {
          "@type": "DocumentOverrides",
          "id": "documentoverrides_001",
          "DocumentOverridesRef": "string",
          "Identifier": {
            "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
            "authority": "TVPT"
          },
          "OfferIdentifier": {
            "id": "offer_1",
            "offerRef": "offer_1",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            }
          },
          "ProductIdentifier": {
            "id": "product_1",
            "productRef": "product_1",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            }
          },
          "Commissions": [
            {
              "@type": "Commissions",
              "TravelerIdentifierRef": [
                {
                  "name": "string",
                  "passengerTypeCode": "ADT",
                  "ages": [
                    15
                  ],
                  "age": 11,
                  "passengerCriteriaRef": "passengerCriteria_1",
                  "uris": []
                }
              ],
              "Commission": {
                "@type": "CommissionAmount",
                "application": "Full"
              },
              "ApplyTo": "Base"
            }
          ],
          "DestinationPurpose": [
            {
              "@type": "DestinationPurpose",
              "destination": "Africa",
              "purpose": "Business"
            }
          ],
          "Restrictions": [
            {
              "@type": "Restrictions",
              "TravelerIdentifierRef": [
                {
                  "name": "string",
                  "passengerTypeCode": "ADT",
                  "ages": [
                    15
                  ],
                  "age": 11,
                  "passengerCriteriaRef": "passengerCriteria_1",
                  "uris": []
                }
              ],
              "Restriction": [
                "NON REFUNDABLE/NON ENDORSEABLE"
              ],
              "DocumentType": "Ticket"
            }
          ],
          "TourCodes": [
            {
              "@type": "TourCodes",
              "TravelerIdentifierRef": [
                {
                  "name": "string",
                  "passengerTypeCode": "ADT",
                  "ages": [
                    15
                  ],
                  "age": 11,
                  "passengerCriteriaRef": "passengerCriteria_1",
                  "uris": []
                }
              ],
              "TourCode": {
                "value": "string",
                "tourCodeType": "Inclusive Tour"
              }
            }
          ],
          "ChangeFeeCollectionMethod": {
            "value": "EMD",
            "code": "f2142",
            "subCode": "631b",
            "description": "Change fee collection method",
            "changeFeeIssuedSeparatelyInd": true,
            "taxIncludedInBaseAmountInd": true
          },
          "NetRemitInfo": {
            "@type": "NetRemitInfo",
            "CarCode": "ACAR",
            "ValueCode": "D1000",
            "ActualSellingFare": 100.5,
            "NetBaseAmount": {
              "value": 43.3422,
              "currencyCode": "USD",
              "codeAuthority": "Australian Dollar",
              "decimalPlace": 3,
              "decimalAuthority": "ISO 4217"
            },
            "ClientDiscountCode": "DEF456"
          },
          "TicketDesignators": [
            {
              "@type": "string",
              "TravelerIdentifierRef": [
                {
                  "name": "string",
                  "passengerTypeCode": "ADT",
                  "ages": [
                    15
                  ],
                  "age": 11,
                  "passengerCriteriaRef": "passengerCriteria_1",
                  "uris": []
                }
              ],
              "TicketDesignator": "string"
            }
          ],
          "InvoiceFareAmount": {
            "value": 124.56,
            "code": "USD",
            "minorUnit": 2,
            "currencySource": "Supplier",
            "approximateInd": true
          },
          "residualValueAsEvenExchangeMIRInd": true,
          "obFeeExemptInd": true
        }
      ],
      "CustomRule": {
        "PseudoCityCode": "string",
        "RuleRecord": [
          {
            "@type": "string",
            "sequence": 0,
            "RuleRecordName": "CTCM",
            "RuleText": [
              {
                "@type": "string",
                "sequence": 0,
                "StringText": "string"
              }
            ]
          }
        ],
        "@type": "string",
        "id": "string",
        "Identifier": {
          "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
          "authority": "TVPT"
        }
      }
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
ReservationResponseobject(ReservationResponse)

The response of a Create Reservation (Reference or Full Payload), Sync Reservation, Modify/Add Reservation, Create/Modify Passive Reservation, Retrieve Reservation, or Cancel Reservation endpoint. The structure detailed here is the same as for all of these API responses. For Post-Commit Workbench Create and Workbench Retrieve, the response is structured the same plus a workbench identifier. The information returned in the Reservation Retrieve response varies depending on the information that has been added to the reservation at the time of retrieve, whether the reservation has been ticketed, and whether the reservation was created using the Travelport TripServices APIs or another program.

Please note the requests for Workbench Commit (Create Reservation), Post-Commit Workbench Create, and Workbench Retrieve do not support the query parameters available in Reservation Retrieve and do not return the following:

  • any document override, accounting, historical, and DOCI remarks
  • any custom rules
  • brand attributes
  • baggage dimension and fee details
  • fare rules
  • ATPCO RouteHappy flight amenities
Response
{ "ReservationResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }